clear
load latlong.txt
[lrows columns]=size(latlong);
fips=(latlong(1:lrows,1));
lat=(latlong(1:lrows,2));
long=(latlong(1:lrows,3));
lfp=(latlong(1:lrows,4));
latlong(1:lrows,5)=1.0;
pop=(latlong(1:lrows,5));


bins=10;
min_long=min(long)-.001;
max_long=max(long)+.001;
grid_long=[min_long:(max_long-min_long)/bins:max_long] ;

for i=1:bins
    min_lat(i)=min(latlong(and(long>=grid_long(i),long<grid_long(i+1)),2))-.001;
    max_lat(i)=max(latlong(long>=grid_long(i) & long<grid_long(i+1),2))+.001;
    grid_lat(:,i)= [min_lat(i):(max_lat(i)-min_lat(i))/bins:max_lat(i)];
end


for i=1:bins
    for j=1:bins  % latitude index
        veclfp=latlong(lat>=grid_lat(j,i) & lat<grid_lat(j+1,i) & long>=grid_long(i) & long<grid_long(i+1) ,4);
        vecpop=latlong(lat>=grid_lat(j,i) & lat<grid_lat(j+1,i) & long>=grid_long(i) & long<grid_long(i+1) ,5);
        cell_lfp(i,j)=sum(veclfp.*vecpop)/sum(vecpop);
        cell_pop(i,j)=sum(vecpop);
    end
end






        
